open All Channels
seplocked Macintosh
blankseplocked Will the Mac client be supported after Captain's Quarters?
 
This thread is older than 90 days and has been locked due to inactivity.


 
Author Topic

Emperor Cheney
Celebrity Sex Tape
Posted - 2011.06.02 23:20:00 - [1]
 

That's all. Thanks!

Vincent Athena
Posted - 2011.06.03 16:29:00 - [2]
 

To date CCP has said yes, and somewhere even said that incarna would not be released until it works for both clients. (Maybe the Mac round table at fanfest?).

Current sisi build does not work however (unless you have a pilot who logged out in space when the mirror was made. Then you can fly about, but if you dock, you crash). Ive bug reported it and the bug report came back "known issue".

We will see when the June 21 date looms and CCP really has to decides what to do.

Templar Knightsbane
Posted - 2011.06.03 23:07:00 - [3]
 

they bta not drop EVE coz thats all im upgrading my mac for lol


Vincent Athena
Posted - 2011.06.05 15:19:00 - [4]
 

They fixed the sisi build. You can get on it and see the CQ now. Its still bug filled, but you can at least see it.

Nin Kahn
Posted - 2011.06.05 15:33:00 - [5]
 

Originally by: Vincent Athena
To date CCP has said yes, and somewhere even said that incarna would not be released until it works for both clients. (Maybe the Mac round table at fanfest?).

Current sisi build does not work however (unless you have a pilot who logged out in space when the mirror was made. Then you can fly about, but if you dock, you crash). Ive bug reported it and the bug report came back "known issue".

We will see when the June 21 date looms and CCP really has to decides what to do.


they will be supported that is good
BUT...
will the system requirements make 2-3 year old Macs feel obsolete?
will those older models be able to hold the new client?
do we need to upgrade?

da go
Posted - 2011.06.05 19:58:00 - [6]
 

Originally by: Nin Kahn
they will be supported that is good
BUT...
will the system requirements make 2-3 year old Macs feel obsolete?
System requirements probably not. Actual game experience ... IMO the current client already makes 2-3 year old Macs feel obsolete. Just try the character editor and see. CQ will be extremely tasking. In the current SiSi interaction it's, fortunately, optional (you can flag "do not load station environment").
Originally by: Nin Kahn
will those older models be able to hold the new client?

I think the older (2 or 3 years) Macs will still be able to hold the client. You just will need to avoid some stuff like CQ and heavy battles.
Originally by: Nin Kahn
do we need to upgrade?
Macs are not PCs. In the PC world your best course of action is to buy a pretty solid box and hold on it for a few years then throw it away and buy a better one. In the Mac world it is to buy a new model within 3 or 4 months after Apple started selling it and hold on it for one or two years, not more, then sell it (there's a great market for used Macs) for a new one. This is independently on what you do with your mac. Unfortunately when RL strikes this may become difficult. I myself am on 3 years old macs but, having being unemployed for over 20 months now, cannot afford to upgrade.


 

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only